If a build/test error occurs, treat it as an error
authorChris Jaekl <cejaekl@yahoo.com>
Sat, 12 Dec 2015 07:46:21 +0000 (16:46 +0900)
committerChris Jaekl <cejaekl@yahoo.com>
Sat, 12 Dec 2015 07:46:21 +0000 (16:46 +0900)
cov.sh

diff --git a/cov.sh b/cov.sh
index ba25745bde272e30db5e95bc7d917d9f151912cc..fd41983eb304aaa033167b65e7860aa89ec01ddc 100755 (executable)
--- a/cov.sh
+++ b/cov.sh
@@ -1,4 +1,8 @@
 #!/bin/bash
+
+set -o nounset   ## (set -u) error exit on attempts to deref undefined variable
+set -o errexit   ## (set -e) error exit if subcommand returns nonzero
+
 CFB_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 INSTR_DIR="${CFB_ROOT}/../instr"